summaryrefslogtreecommitdiffstats
path: root/network
diff options
context:
space:
mode:
author Morten Juhl-Johansen Zölde-Fejér2010-07-22 23:06:21 +0200
committer Erik Hanson2010-07-26 04:52:40 +0200
commit934dfe45a264513c337d504d48bbf36a253c2916 (patch)
treec468fa22f4a34b9d5bfbdac7bb57e6a8136d0544 /network
parent7cd192a0d89fb9a61bc8cb3fdab5b9ab5e8cbca6 (diff)
downloadslackbuilds-934dfe45a264513c337d504d48bbf36a253c2916.tar.gz
network/gajim: Updated for version 0.13.4.
Signed-off-by: Erik Hanson <erik@slackbuilds.org>
Diffstat (limited to 'network')
-rw-r--r--network/gajim/README10
-rw-r--r--network/gajim/doinst.sh9
-rw-r--r--network/gajim/gajim.SlackBuild27
-rw-r--r--network/gajim/gajim.info8
-rw-r--r--network/gajim/slack-desc24
5 files changed, 49 insertions, 29 deletions
diff --git a/network/gajim/README b/network/gajim/README
index 8ce1985c77..d3c75c1924 100644
--- a/network/gajim/README
+++ b/network/gajim/README
@@ -1,3 +1,9 @@
-Gajim is a GTK+ jabber client written in Python.
+Gajim - a full featured and easy to use Jabber client
-pyopenssl is optional but recommended if you plan to use secure connections.
+Jabber is a GTK2-based Jabber client featuring
+tabbed interface, tray icon and notifications,
+encryption support, local link (Zeroconf/Bonjour)
+and other interesting things.
+
+For encryption, Gajim requires PyOpenSSL, also
+available on Slackbuilds.org.
diff --git a/network/gajim/doinst.sh b/network/gajim/doinst.sh
index 4e8ba7071d..9424ce43ff 100644
--- a/network/gajim/doinst.sh
+++ b/network/gajim/doinst.sh
@@ -2,3 +2,12 @@ if [ -x /usr/bin/update-desktop-database ]; then
/usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
fi
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/network/gajim/gajim.SlackBuild b/network/gajim/gajim.SlackBuild
index 5eeb4f21d5..29d14391fc 100644
--- a/network/gajim/gajim.SlackBuild
+++ b/network/gajim/gajim.SlackBuild
@@ -1,21 +1,18 @@
#!/bin/sh
-# Slackware build script for gajim
-# Written by Martin Lefebvre (dadexter@sekurity.com)
-# Slightly modified by the SlackBuild Project
-# - and once again by Morten Juhl-Johansen Zölde-Fejér <mjjzf@syntaktisk.dk>
+# Slackware build script for Gajim
+
+# Written by Morten Juhl-Johansen Zölde-Fejér <mjjzf@syntaktisk.dk>
PRGNAM=gajim
-VERSION=0.13.3
+VERSION=${VERSION:-0.13.4}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
-# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
i?86) ARCH=i486 ;;
arm*) ARCH=arm ;;
- # Unless $ARCH is already set, use uname -m for all other archs:
*) ARCH=$( uname -m ) ;;
esac
fi
@@ -39,7 +36,7 @@ else
LIBDIRSUFFIX=""
fi
-set -e
+set -e
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
@@ -48,7 +45,11 @@ rm -rf $PRGNAM-$VERSION
tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
cd $PRGNAM-$VERSION
chown -R root:root .
-chmod -R u+w,go+r-w,a-s .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
@@ -62,11 +63,15 @@ CXXFLAGS="$SLKCFLAGS" \
--build=$ARCH-slackware-linux
make
-make install-strip DESTDIR=$PKG
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
-# --docdir takes care of the program documentation
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
diff --git a/network/gajim/gajim.info b/network/gajim/gajim.info
index 49ca4f3690..495c17fc0e 100644
--- a/network/gajim/gajim.info
+++ b/network/gajim/gajim.info
@@ -1,8 +1,8 @@
PRGNAM="gajim"
-VERSION="0.13.3"
-HOMEPAGE="http://gajim.org"
-DOWNLOAD="http://www.gajim.org/downloads/0.13/gajim-0.13.3.tar.bz2"
-MD5SUM="bedbc32147558207a3d9476d8b632fbb"
+VERSION="0.13.4"
+HOMEPAGE="http://www.gajim.org"
+DOWNLOAD="http://gajim.org/downloads/0.13/gajim-0.13.4.tar.bz2"
+MD5SUM="097e96c2f73a13be4edadea11b495ce6"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
MAINTAINER="Morten Juhl-Johansen Zölde-Fejér"
diff --git a/network/gajim/slack-desc b/network/gajim/slack-desc
index 7ba1a418da..0a73a44bfa 100644
--- a/network/gajim/slack-desc
+++ b/network/gajim/slack-desc
@@ -5,15 +5,15 @@
# make exactly 11 lines for the formatting to be correct. It's also
# customary to leave one space after the ':'.
- |-----handy-ruler-------------------------------------------------------|
-gajim: gajim (GTK+ jabber client)
-gajim:
-gajim: Gajim is a GTK+ jabber client written in Python.
-gajim:
-gajim:
-gajim:
-gajim:
-gajim:
-gajim:
-gajim:
-gajim:
+ |-----handy-ruler------------------------------------------------------|
+gajim: Gajim (full featured and easy to use Jabber client)
+gajim:
+gajim: Jabber is a GTK2-based Jabber client featuring tabbed interface,
+gajim: tray icon and notifications, encryption support, local link
+gajim: (Zeroconf/Bonjour) and other interesting things.
+gajim:
+gajim: For encryption, Gajim requires PyOpenSSL, also available at
+gajim: Slackbuilds.org.
+gajim:
+gajim: Website: http://www.gajim.org
+gajim: